program fjf221;
var a : integer = 1;
    b : cardinal = $80000000;
    c : integer = 32;
begin
  if (a shl c = 0) and (b shr c = 0)
    then writeln ('OK')
    else writeln ('Failed: ', a shl c, ', ', b shr c)
end.
